Run eBay Seller
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-ebay-seller \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seller": "cocosmartphones"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-ebay-seller"
payload = { "seller": "cocosmartphones" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({seller: 'cocosmartphones'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-ebay-seller', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "ebay_seller",
"seller": "musicmagpie",
"human": "# eBay seller\n\n- **Seller:** musicmagpie\n- **Proxy traffic:** 1.58 MB\n- **Name:** musicMagpie Shop\n- **Feedback count:** 21561969\n- **Positive feedback:** 99.1%\n- **Items sold:** 51200000\n- **Followers:** 489000\n- **Location:** United Kingdom\n- **Member since:** Feb 02, 2011\n\nmusicMagpie is one of eBay’s most popular and trusted sellers. Save money on great entertainment and tech with our huge selection of CDs, DVDs, BluRays, Games, Books and tech at amazing prices. We refurbish products, giving them a second life - smart for you, smart for the planet. Buying from us isn’t just good for your wallet; it’s good for the environment too. We also sell new products direct from the manufacturer. These are just like the DVDs you’d buy from a shop, except often much cheaper! For the best deals on CDs, DVDs, games and electronics on the web, look no further.",
"machine": {
"seller": {
"id": "musicmagpie",
"name": "musicMagpie Shop",
"feedback_count": 21561969,
"positive_percent": 99.1,
"item_sold_count": 51200000,
"follower_count": 489000,
"location": "United Kingdom",
"image": "https://i.ebayimg.com/images/g/IKIAAOSwfQ1n0~~7/s-l140.webp",
"member_since": "Feb 02, 2011",
"description": "musicMagpie is one of eBay’s most popular and trusted sellers. Save money on great entertainment and tech with our huge selection of CDs, DVDs, BluRays, Games, Books and tech at amazing prices. We refurbish products, giving them a second life - smart for you, smart for the planet. Buying from us isn’t just good for your wallet; it’s good for the environment too. We also sell new products direct f"
},
"proxy_traffic_bytes": 1657495
},
"total_points": 5
}E-commerce & Marketplaces
Run eBay Seller
Fetches an eBay seller/store profile by username or store URL: feedback, ratings, and store details. Flat 5 points per successful lookup.
POST
/
functions
/
v1
/
run-ebay-seller
Run eBay Seller
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
eBay seller username or store URL.
Response
Run completed.